> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Journal



## OpenAPI

````yaml openapis/journals.json put /journals/editor/create
openapi: 3.1.0
info:
  title: Journals Routes
  version: 0.0.1
servers: []
security: []
paths:
  /journals/editor/create:
    put:
      summary: Create Journal
      operationId: create_journal_journals_editor_create_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJournalRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateJournalResponse'
        '401':
          description: Invalid API key or unauthorized access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateJournalRequest:
      properties:
        title:
          type: string
          title: Title
          description: The title of the journal.
        team_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Slug
          description: >-
            The team slug that the journal is associated with, if the type is
            `team`.
      additionalProperties: true
      type: object
      required:
        - title
      title: CreateJournalRequest
      description: Request model for creating a journal.
    CreateJournalResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        journal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Id
        journal_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Journal Url
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - success
      title: CreateJournalResponse
      description: Response model for creating a journal.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````